## NAME

d.vect - Displays user-specified vector map in the active graphics frame.

## KEYWORDS

display, vector

## SYNOPSIS

d.vect
d.vect help
d.vect [-vacixz] map=name display=string[,string,...] [type=string[,string,...]] [layer=integer] [cats=range] [where=sql_query] [color=string] [fcolor=string] [rgb_column=name] [zcolor=style] [width=integer] [wcolumn=name] [wscale=float] [icon=string] [size=float] [size_column=name] [rot_column=name] [llayer=integer] [attrcol=name] [lcolor=string] [bgcolor=string] [bcolor=string] [lsize=integer] [font=string] [xref=string] [yref=string] [minreg=float] [maxreg=float] [render=string] [--verbose] [--quiet]

### Flags:

-v
  Run verbosely
-a
  Get colors from map table column (of form RRR:GGG:BBB)
-c
  Random colors according to category number (or layer number if 'layer=-1' is given)
-i
  Use values from 'cats' option as feature id
-x
  Don't add to list of vectors and commands in monitor (it won't be drawn if the monitor is refreshed)
-z
  Colorize polygons according to z height
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

map=name
  Name of input vector map
display=string[,string,...]
  Display
  Options: shape,cat,topo,dir,attr,zcoor
  Default: shape
  shape: Display geometry of features
  cat: Display category numbers of features
  topo: Display topology information (nodes, edges)
  dir: Display direction of linear features
  attr: Display selected attribute based on 'attrcol'
  zcoor: Display z-coordinate of features (only for 3D vector maps)
type=string[,string,...]
  Feature type
  Options: point,line,boundary,centroid,area,face
  Default: point,line,boundary,centroid,area,face
layer=integer
  Layer number (if -1, all layers are displayed)
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1
cats=range
  Category values
  Example: 1,3,7-9,13
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and inhab >= 10000
color=string
  Feature color
  Either a standard GRASS color, R:G:B triplet, or "none"
  Default: black
fcolor=string
  Area fill color
  Either a standard GRASS color, R:G:B triplet, or "none"
  Default: 200:200:200
rgb_column=name
  Name of color definition column (for use with -a flag)
  Default: GRASSRGB
zcolor=style
  Type of color table (for use with -z flag)
  Default: terrain
width=integer
  Line width
  Default: 0
wcolumn=name
  Name of column for line widths (these values will be scaled by wscale)
wscale=float
  Scale factor for wcolumn
  Default: 1
icon=string
  Point and centroid symbol
  Options: basic/arrow1,basic/arrow2,basic/arrow3,basic/box,basic/circle,basic/cross1,basic/cross2,basic/cross3,basic/diamond,basic/marker,basic/octagon,basic/point,basic/pushpin,basic/star,basic/triangle,basic/x,demo/muchomurka,demo/smrk,extra/4pt_star,extra/adcp,extra/airport,extra/alpha_flag,extra/bridge,extra/compass,extra/dim_arrow,extra/dive_flag,extra/fancy_compass,extra/fiducial,extra/fish,extra/half-box,extra/half-circle,extra/n_arrow1,extra/n_arrow1b,extra/n_arrow2,extra/n_arrow3,extra/n_arrow4,extra/n_arrow5,extra/n_arrow6,extra/n_arrow7a,extra/n_arrow7b,extra/n_arrow8a,extra/n_arrow8b,extra/n_arrow9,extra/offbox_ne,extra/offbox_nw,extra/offbox_se,extra/offbox_sw,extra/pentagon,extra/ping,extra/ring,extra/simple_zia,extra/target,geology/half-arrow_left,geology/half-arrow_right,geology/strike_box,geology/strike_circle,geology/strike_half-bowtie,geology/strike_line,geology/strike_triangle
  Default: basic/x
size=float
  Symbol size
  When used with the size_column option this becomes the scale factor
  Default: 5
size_column=name
  Name of numeric column containing symbol size
rot_column=name
  Name of numeric column containing symbol rotation angle
  Measured in degrees CCW from east
llayer=integer
  Layer number
  Layer number for labels (default: the given layer number)
  Default: 1
attrcol=name
  Name of column to be displayed
lcolor=string
  Label color
  Either a standard color name or R:G:B triplet
  Default: red
bgcolor=string
  Label background color
  Either a standard GRASS color, R:G:B triplet, or "none"
  Default: none
bcolor=string
  Label border color
  Either a standard GRASS color, R:G:B triplet, or "none"
  Default: none
lsize=integer
  Label size (pixels)
  Default: 8
font=string
  Font name
xref=string
  Label horizontal justification
  Options: left,center,right
  Default: left
yref=string
  Label vertical justification
  Options: top,center,bottom
  Default: center
minreg=float
  Minimum region size (average from height and width) when map is displayed
maxreg=float
  Maximum region size (average from height and width) when map is displayed
render=string
  Rendering method for filled polygons
  Options: g,r,d,c,l
  Default: c
  g: use the libgis render functions (features: clipping)
  r: use the raster graphics library functions (features: polylines)
  d: use the display library basic functions (features: polylines)
  c: use the display library clipping functions (features: clipping)
  l: use the display library culling functions (features: culling, polylines)

## DESCRIPTION

d.vect displays GRASS vector data in the active frame on the graphics monitor.

## NOTES

d.vect can simply be used typing `d.vect map=vector_map`. There are a large variety of optional parameters which allow the user to specify vector type, colors, data fields, SQL queries, label size and justification, etc.

By default d.vect fills in holes in polygons (islands). If you only want to show active areas limit the features with, e.g.,

    d.vect map=vector_map cats=1-999999

In order to display attributes in the map, `display=attr` must be specified in addition to the column name (attrcol parameter).

Colors may be specified in an attribute table column named 'GRASSRGB' (which is a `varchar(11)` column containing `RRR:GGG:BBB` values), see the flag -a.

A table for a vector map might look like this:

    db.select sql="select * from testisola"
    cat|label|GRASSRGB
    0|no data|255:255:255
    90|FRASSILONGO|23:245:67
    104|LEVICO|23:145:67
    139|PERGINE VALSUGANA|223:45:237
    168|SANT'ORSOLA|223:45:67
    190|TENNA|123:45:67

To add the GRASSRGB color column, use v.db.addcol:

    v.db.addcol map=testisola columns="GRASSRGB varchar(11)"

To add/change a color, use v.db.update:

    v.db.update map=testisola column=GRASSRGB value="123:45:237" where="cat=139"

A much simpler method of color coding is by using the -c flag which displays vector elements of like category number with a random color.

This module can use FreeType/TrueType fonts if they have already been selected with d.font.

Parameter width is set by default to '0'. XDRIVER specifies the precise behaviour for non-zero line width, but drivers have some freedom as to how zero-width lines are handled, so they can use the hardware's "thin line" drawing primitive, if it has one. A width of zero can potentially result in significantly faster operation. On drivers where there is no such thing as a "thin" line, the driver will use a sensible default (which might not be the same as '1').

## EXAMPLES

Spearfish examples:

    # display roads with category numbers:
    d.vect map=roads display=shape,cat lcolor=green

    # display randomly colorized soils map with attributes
    d.vect -c map=soils display=attr attrcol=label

    # display randomly colorized selected vectors from soils map
    d.vect -c map=soils where="label='VBF'" display=shape,attr attrcol=label

3D points, 3D lines and 3D polygons colorized according to z height:

    g.region rast=elevation.10m
    r.random input=elevation.10m n=5000 vector=random3d -d
    d.mon start=x0
    # display as black points
    d.vect map=random3d
    # display 3D points colorized according to z height
    d.vect -z map=random3d zcolor=gyr

    # 3D contour lines
    r.contour input=elevation.10m output=contour20m step=20
    d.vect -z map=contour20m zcolor=gyr

    # generate 3D triangles
    v.delaunay input=random3d output=random3d_del
    # display 3D polygons colorized according to z height
    d.vect -z map=random3d_del type=area zcolor=gyr

## SEE ALSO

d.erase, d.what.vect, d.rast, d.font.freetype, v.colors, v.db.addcol, v.db.update
GRASS SQL interface

## AUTHORS

CERL
Radim Blazek, ITC-Irst, Trento, Italy
other GRASS developers

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - display index - Full index

© 2003-2014 GRASS Development Team